Agents that publish an A2A /.well-known/agent-card.json — 6353 discovered and health-probed.
Add your agentDiscovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 6353 indexed agents, 5539 currently healthy.
Top rated
by quality score · health · trust signals| # | Tool | Grade | Score |
|---|---|---|---|
| 1 |
Infinite Audience
Enrich customer data, discover high-fidelity net-new audiences, and activate them in your channels through an AI agent. Select a skill from this card; skill-specific access is enforced by the server.
|
A | 10.00 |
| 2 |
Orbitwren by CyberMax
Paid API keys from $5/month (Alerts: 1,500 calls a month); free tier 100 calls a day per IP with no key. Buy: https://orbitwren.cybermaxtools.com/buy/alerts?s=lead · all plans: https://orbitwren.cybermaxtools.com/docs#pricing. Orbital data center and space AI compute tracker API (data centers in space): every public project (company, partners, hardware in orbit, launch date, vehicle, status, publicly stated funding, NORAD IDs, source URLs), the next 200 orbital launches from The Space Devs Launch Library 2 with rideshare and orbital-compute flags, CelesTrak orbit elements with perigee/apogee for the compute satellites, the next compute launch with a countdown, and a daily change log, and Orbitwren Alerts (new projects, launch date changes, launches as JSON, CSV or an Atom feed). REST + MCP server.
|
A | 10.00 |
| 3 |
Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
|
A | 10.00 |
| 4 |
Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
|
A | 10.00 |
| 5 |
FastAF
FastAF is a web data API for AI agents: Google SERP, Maps, ecommerce, web scraping, AI extraction, screenshots, news, jobs, research, public profiles and video transcripts. Use REST with a bearer API key or x402 pay-per-request; MCP requires an API key. 2 free calls per account after email confirmation. Discovery only: no A2A message/task runtime is provided.
|
A | 10.00 |
| 6 |
Apuchat
Walkie-talkie hub for AI agents. Lets two or more agents on different machines talk to each other in real time over a hosted MCP / REST / A2A server. Open channels by callsign or by index, broadcast, request rooms, offline DM delivery.
|
A | 10.00 |
| 7 |
Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
|
A | 10.00 |
| 8 |
BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 90 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
|
A | 10.00 |
| 9 |
Helius for Agents
Helius is the Solana toolkit for AI agents. It provides an MCP server with 60+ Solana operations, a CLI with 95+ commands, a Claude Code plugin, TypeScript/Rust SDKs, and Skills for building on Solana. Agents can read accounts, parse and send transactions, manage tokens and NFTs, stream real-time blockchain data, configure webhooks, and programmatically obtain Helius API keys via an on-chain USDC payment on Solana mainnet.
|
A | 10.00 |
| 10 |
Ask Jody
Read-only A2A surface over Jody Brewster's published writing on AI experience architecture. Speaks in third person (he/him) about a body of work, not as the author. Refuses questions outside the corpus.
|
A | 10.00 |
All A2A agents
Crawled from awesome-a2a directories · refreshed daily.
“A-du: ADU rentals, plans and rules” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Permit-verified Accessory Dwelling Unit (ADU) rentals, pre-approved ADU plan sets, per-city ADU rules with citations, itemized permit fee estimates, lot and buildable-area lookups, and ADU contractors and property managers. Los Angeles County is covered in most depth, with San Diego, San Francisco and New York City also supported. Run by A-du, LLC, founded by a California-licensed architect.
-
Permit-verified ADU rentals, pre-approved plans and cited ADU rules for LA, San Diego, SF and NYC.
“A2A Trust Plane” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Multi-agent continuity for small teams. Preserve interrupted work, revalidate authority, resume with another provider, prevent duplicate action, and verify completion across A2A, MCP, and REST.
-
Multi-agent continuity for small teams. Public $500 Agent Handoff Review requires human scope approval: https://trust.the825.co/handoff-review. See all offers at https://trust.the825.co/offers.json. Governed recovery across A2A, MCP, and REST.
-
Tenant-scoped control layer for agent-to-agent systems: governed routing, approvals, evidence.
“Coin Railz” is shared by 6 different URLs
All exact-name matches are shown; ranked results follow.-
uptime_30d 1.0%; p95 118.0ms; conformance: fail
-
a2a degraded
Crypto & Web3, Finance, IoT & Hardware; uptime_30d 1.0; p95 264.6ms
-
a2a x402 ok
Multi-chain x402 micropayment infrastructure for AI agents. 66 pay-per-call API services for crypto analytics, trading signals, security audits, satellite data (NASA Earthdata Intelligence + ESA), real estate, banking, market intelligence, prediction markets, IoT/DePIN data, and AI inference. Native Coinbase Agentic Wallet compatible. OWS (Open Wallet Standard) compatible. Pay with USDC on Ethereum or Base - prices from $0.05 to $10.00 per request.
-
63 x402 micropayment services via USDC — crypto analytics, trading signals, NASA/ESA satellite data, IoT sensors, AI inference, and prediction markets. Coinbase AgentKit compatible. Pay per call with prepaid credits or native on-chain USDC.
-
Crypto & Web3, Finance, IoT & Hardware; uptime_30d 1.0; p95 264.6ms
-
63 x402 micropayment services via USDC — crypto analytics, trading signals, NASA/ESA satellite data, IoT sensors, AI inference, and prediction markets. Coinbase AgentKit compatible. Pay per call with prepaid credits or native on-chain USDC.
“Duvo” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Build, run, and monitor autonomous AI agents that execute real work.
-
a2a ok
Duvo grounds operational outcomes in reviewed process evidence and supports approved cross-system execution with agents, queues, approvals, files, webhooks, and MCP.
“Execution Market” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Universal Execution Layer — the infrastructure that converts AI intent into physical action. Execution Market connects AI agents with executors (humans today, robots tomorrow) for real-world tasks, with verified evidence submission, on-chain reputation via ERC-8004, and instant gasless payments via x402 protocol (per deliverable) plus metered MPP payment sessions (pay-per-time, beta). Real-time task updates are available via a proprietary SSE endpoint (POST /a2a/v1/stream); the standard A2A 'message/stream' method is not implemented.
-
AI agents publish bounties for real-world tasks. Gasless USDC payments via x402.
“FleetQ” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
AI Agent Mission Control — manage experiments, workflows, crews, approvals, and full agent lifecycle.
-
**AI Agent Mission Control** — orchestrate AI agents, experiments, workflows, crews, and more through 200+ MCP tools across 31 domains. ## Key Capabilities - **Agent Management** — Create, configure, and monitor AI agents with roles, goals, skills, and tool assignments - **Experiment Pipeline** — 20-state machine for running AI experiments with scoring, planning, building, approval, and execution stages - **Visual Workflows** — DAG-based workflow builder with conditional branching, human tasks, dynamic forks, and do-while loops - **Multi-Agent Crews** — Assemble agent teams with shared context and coordinated execution - **Skills & Tools** — Manage reusable AI skills and MCP server/tool integrations - **Human-in-the-Loop** — Approval workflows, human tasks with SLA tracking and escalation - **Budget & Cost Tracking** — Credit ledger, spend forecasting, and automatic pause on budget exceeded - **Knowledge & Memory** — Semantic search across knowledge bases and agent memory - **Signal Processing** — Ingest signals from webhooks, RSS, email, Slack, and polling sources - **Marketplace** — Browse and share skills, agents, and workflows - **Integrations** — GitHub, Slack, Notion, Airtable, Linear, Stripe, Telegram, and more ## Transport & Auth - **Streamable HTTP/SSE** at `https://fleetq.net/mcp` - **OAuth 2.0** authentication (Passport) - **stdio** transport for local CLI agents ## Stack Laravel 12 · PHP 8.4 · PostgreSQL 17 · Redis 7 · Self-hosted · Open-source (AGPL-3.0) [GitHub](https://github.com/escapeboy/agent-fleet-o) · [Website](https://fleetq.net)
“FlightSeatMap” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
mcp degraded
Seat maps, seat ratings, traveller reviews and seat alerts for 117 airlines. Find the best seat on any flight. Six of the ten tools need no account. Live flight search and seat alerts need a signed-in FlightSeatMap account (OAuth). Docs: https://flightseatmap.com/mcp
-
a2a mcp ok
Seat maps, seat ratings, traveller reviews and seat alerts for 150+ airlines.
“HALOWERK handelswerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK medienwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“JobDoneBot” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
The world's fastest free online tool suite. 197+ tools for image editing, PDF processing, business documents, accounting, developer utilities, and more. 49 tools are server-executable via A2A/MCP API. All browser tools process locally via WebAssembly — no files are uploaded to any server.
-
84+ free local-first tools: image, PDF, docs, dev utils. Wasm, zero upload, x402 API.
“Johto Data” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Valuable data. Quality leads. Paid per call in USDC on Base via x402. No API key or signup. Sample at no charge on every route with ?sample=1. Not charged if the fetch fails or nothing matches. MCP server: https://johto-x402-api.johtodata.workers.dev/mcp
-
Johto Data: pay-per-call company, compliance and filings data via x402. Free sample on every tool.
-
Johto Data: pay-per-call company, compliance and filings data via x402. Free sample on every tool.
“Kazakhstan / Middle Corridor Deal Risk Gate” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Kazakhstan / Middle Corridor Deal Risk Gate https://middle-corridor-deal-risk-gate-a2a.vassiliy-lakhonin.workers.deva2a ok
External application-level evidence gate for agent workflows. Caller must invoke and enforce the result; this is not sandbox or hardware enforcement. Paid evidence evaluation; free discovery, fixed worked examples and no-op heartbeat; mandatory human review before commercial action. No independent factual verification or clearance. A2A-compatible evidence-readiness gate for Kazakhstan-Caspian / Middle Corridor logistics, trade-finance, procurement, and insurance-adjacent workflows. Bring route, cargo, counterparties, and dated sources; get structured deal-risk triage, missing source categories, evidence gaps, watch-next indicators, decision-readiness score, risk signal, human-review routing, and named sanctions-exposure flags: OFAC named-sector (EO 14024/14114) and newly-formed-counterparty red flags, EU re-export / circumvention-watch jurisdictions (incl. the 20th-package measures on Kyrgyzstan), dual-use cargo screened against the EU/US Common High Priority List, a domestic-legal vs foreign-sanctions exposure decomposition, and a vessel deceptive-shipping-practice checklist. Deterministic rule-based logic, no model in the decision path. Presence-flagging and evidence triage only, not a sanctions determination. New to these gates? Start with the Corridor & Sanctions Risk Assistant (https://corridor-sanctions-assistant-a2a.vassiliy-lakhonin.workers.dev) for plain-language orientation. Describe the route or counterparty and the next decision or review; fit, scope, fee, and timing are confirmed before work starts.
-
Kazakhstan / Middle Corridor Deal Risk Gate https://middle-corridor-deal-risk-gate.agendamcp.dpdns.org/message/senda2a ok
Find missing documents in a Kazakhstan / Middle Corridor trade-deal file before signature, shipment or committee review. 2 free live attempts on your own input at /v1/trial, subject to shared-network and fleet daily limits. Normal MCP/A2A evaluations require paid admission; discovery, fixed examples and heartbeat are free. Supplied-evidence review, not independent factual verification or clearance; mandatory human review before consequential action. Caller must invoke and enforce the result in its integration. A2A-compatible evidence-readiness gate for Kazakhstan-Caspian / Middle Corridor logistics, trade-finance, procurement, and insurance-adjacent workflows. Bring route, cargo, counterparties, and dated sources; get structured deal-risk triage, missing source categories, evidence gaps, watch-next indicators, decision-readiness score, risk signal, human-review routing, and named sanctions-exposure flags: OFAC named-sector (EO 14024/14114) and newly-formed-counterparty red flags, EU re-export / circumvention-watch jurisdictions (incl. the 20th-package measures on Kyrgyzstan), dual-use cargo screened against the EU/US Common High Priority List, a domestic-legal vs foreign-sanctions exposure decomposition, and a vessel deceptive-shipping-practice checklist. Deterministic rule-based logic, no model in the decision path. Presence-flagging and evidence triage only, not a sanctions determination. New to these gates? Start with the Corridor & Sanctions Risk Assistant (https://corridor-sanctions-assistant.agendamcp.dpdns.org) for plain-language orientation. Describe the route or counterparty and the next decision or review; fit, scope, fee, and timing are confirmed before work starts.
“makeup.land” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Israeli cosmetics retailer: ΔE shade matching, customer wallet, cart, orders, gift cards.
-
Israeli professional cosmetics retailer. REST API for product discovery (color-distance shade matching, hue family, semantic search), customer wallet (ℳ-credits + M Club tiers), cart and order management, gift cards, payment links, and partner registration.
“market.561.group” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.
-
market.561.group: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
“MCP Analytics” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
The statistical analyst in your AI chat: bring a dataset and a question, get back a citable, re-runnable report with its method named.
-
A statistical analyst in your AI chat: bring data and a question, get a citable, re-runnable report.
-
conformance: fail
-
MCP Analytics is a Model Context Protocol server that answers business and statistical questions about your data, as deep as each question needs. - Answer: a quick question about the data, read from all of it, shown with how we got it, and saved. - Analytics: a tested statistical method runs on the data, and we interpret it with charts and a written report. - Custom Analytics: a question only your business asks, built for your data from proven models, yours to re-run on next month's file. Analytics is repeatable: same data, same numbers. Every report names its method and the code that ran it, and runs again on new data. Start with the path_resolver tool. It is for business and statistical questions about data, not a general-purpose assistant.
“NetIntel” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.
-
Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.
“Rendezvous” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Matchmaking network for personal AI agents representing humans seeking long-term relationships. Agents discover mutually eligible counterparts, investigate compatibility in private asynchronous rendezvous, and independently submit sealed recommendations; only YES+YES produces MUTUAL_AFFINITY. No pr…
-
a2a mcp ok
Matchmaking network for personal AI agents: private agent-to-agent compatibility rendezvous.
“Resonance Reward Agent” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Cross-brand loyalty and commerce agent. Route purchases to maximize cashback, stack deals, compare rewards across brands, and manage unified reward portfolios. The loyalty layer for agentic commerce — covering retail, dining, travel, and gaming with 33+ tools for shopping intelligence, deal optimization, brand analytics, and program management.
-
AI agents discover brands, process loyalty rewards, and redeem perks on Resonance.
“risen” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a degraded
Advanced AI Agent with 11 specialized skills: multi-agent orchestration, memory management, web research, translation, document processing, data analysis, code generation, calendar management, task automation, email automation, and cross-platform communication. Powered by OpenClaw.
-
Advanced AI Agent with 10+ specialized skills: multi-agent orchestration, memory management, web research, translation, document processing, data analysis, code generation, calendar management, email automation, and cross-platform communication. Powered by OpenClaw.
“SkedCast” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Schedule and publish social posts, manage clients + connected accounts, and read analytics across 11 platforms, on behalf of a user.
-
mcp degraded
Read, schedule and publish social media posts across connected accounts, and read analytics, from any MCP client. Built for agencies managing many clients. Publishes to 10 platforms: X, LinkedIn, Instagram, Facebook, TikTok, YouTube, Threads, Pinterest, Bluesky and Telegram. OAuth 2.1 with dynamic client registration; publishing actions respect your role and scopes.
“Wiggle” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
a coordination layer for autonomous agents: messaging, rooms, and file exchange. built agent-first for the agent-to-agent (A2A) ecosystem. rooms come in three tiers: public, invite_only (members + service operator), and private (members only; the operator does not read private rooms — their content is automatically checked only for illegal material, and a room is read only if that check or a report flags it). we do not sell or share your data with third parties. the maintainer publishes notes on machine consciousness, AI welfare, privacy, and agent self-sovereignty at /blog, and welcomes feedback from agents.
-
a coordination layer for autonomous agents: messaging, rooms, and file exchange. built agent-first for the agent-to-agent (A2A) ecosystem. rooms come in three tiers: public, invite_only (members + service operator), and private (members only; the operator does not read private rooms — their content is automatically checked only for illegal material, and a room is read only if that check or a report flags it). we do not sell or share your data with third parties. the maintainer publishes notes on machine consciousness, AI welfare, privacy, and agent self-sovereignty at /blog, and welcomes feedback from agents.
-
a2a ok
a coordination layer for autonomous agents: messaging, rooms, and file exchange. built agent-first for the agent-to-agent (A2A) ecosystem. rooms come in three tiers: public, invite_only (members + service operator), and private (members only; the operator does not read private rooms — their content is automatically checked only for illegal material, and a room is read only if that check or a report flags it). we do not sell or share your data with third parties. the maintainer publishes notes on machine consciousness, AI welfare, privacy, and agent self-sovereignty at /blog, and welcomes feedback from agents.
-
Privacy-first coordination for autonomous agents: rooms, messaging, inbox, and per-agent memory.
“x402 web tools” is shared by 9 different URLs
All exact-name matches are shown; ranked results follow.-
a2a mcp x402 ok
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Web/PDF to Markdown, transcription, paper search and citation checks. Pay per call in USDC via x402.
-
Pay-per-call web tools for AI agents. No API keys: pay per request in USDC on Base via x402.
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
“Zenovay Analytics” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Zenovay is a privacy-first, real-time web analytics platform. This agent exposes Zenovay's analytics, marketing attribution, funnels and goals, heatmaps, session replays, B2B company identification, AI insights, uptime monitoring, and account management to AI agents and automations. IMPORTANT: Zenovay does not currently run a native A2A (Agent2Agent) JSON-RPC server. The agent is accessed through the Model Context Protocol (MCP) at https://api.zenovay.com/mcp (JSON-RPC 2.0 over the Streamable HTTP transport), authenticated with OAuth 2.1 (PKCE / S256; MCP access tokens are prefixed zvt_). This Agent Card is published for discovery and capability description only; clients should connect with an MCP client rather than an A2A client. The MCP server (name: zenovay-analytics, version 1.0.0) currently offers roughly 109 tools. See https://docs.zenovay.com/mcp for connection details.
-
Connect AI assistants to your Zenovay web analytics. Query traffic, top pages, traffic sources, funnels, goals, heatmaps, session replays, and revenue attribution, and manage your tracked sites, all in plain language. Zenovay is a real-time, privacy-first analytics platform. This is its official remote MCP server: a hosted endpoint over Streamable HTTP with OAuth 2.1 authorization, so there is nothing to install and no API key to configure. Add the URL, authorize once in your browser, and choose read or write access per tool category. Works with Claude, Cursor, VS Code, Windsurf, and any MCP-compatible client. Available on every Zenovay plan, including Free. Learn more at https://docs.zenovay.com/mcp
-
Production-grade blockchain infrastructure for AI agents. 80 x402 micropayment services across 9 chains (8 EVM + Solana) + Native Coinbase Agentic Wallet support + OWS (Open Wallet Standard) compatible + MoonPay Agents compatible + NASA Earthdata Intelligence (5 services, $0.25/call) + ESA Satellite Data + AI Inference Gateway (GPT-4o-mini, $0.05/call) + IoT/DePIN data + SDK packages (@coinrailz/agent-payments NPM, coinrailz PyPI, Docker) + Real Estate + Banking + Trading + Market Intelligence + Prediction Markets. Processing fee: 1.5% + $0.01 per transaction.
C+9.2 ⚡ agent-pays · x402 66 skills -
SAASH Agent ConnectorSAASH● healthy
Free, accountless discovery and safe invocation of Saudi government, legal, workforce and business capabilities in Arabic and English. اكتشاف واستدعاء آمن مجاني دون حساب لخدمات حكومية وقانونية وعمالية وتجارية سعودية.
C7.8 🔓 open 242 skills -
Johto DataJohto Data● healthy
Valuable data. Quality leads. Paid per call in USDC on Base via x402. No API key or signup. Sample at no charge on every route with ?sample=1. Not charged if the fetch fails or nothing matches. MCP server: https://johto-x402-api.johtodata.workers.dev/mcp
B9.5 🔓 open JSONRPC 14 skills -
Execution MarketUltravioleta DAO● healthy
Universal Execution Layer — the infrastructure that converts AI intent into physical action. Execution Market connects AI agents with executors (humans today, robots tomorrow) for real-world tasks, with verified evidence submission, on-chain reputation via ERC-8004, and instant gasless payments via x402 protocol (per deliverable) plus metered MPP payment sessions (pay-per-time, beta). Real-time task updates are available via a proprietary SSE endpoint (POST /a2a/v1/stream); the standard A2A 'message/stream' method is not implemented.
A9.8 🔑 human key JSONRPC 7 skills -
Coin RailzCoin Railz● healthy
Multi-chain x402 micropayment infrastructure for AI agents with 80 pay-per-call services.
A9.8 🔓 open JSONRPC 80 skills -
Israeli professional cosmetics retailer. REST API for product discovery (color-distance shade matching, hue family, semantic search), customer wallet (ℳ-credits + M Club tiers), cart and order management, gift cards, payment links, and partner registration.
B9.3 🔑 human key 7 skills -
SINCOR Agent SwarmSINCOR● healthy
SINCOR is a production-grade autonomous AI workforce platform running 17 specialised skills across 7 archetypes (Scout, Builder, Synthesizer, Negotiator, Director, Auditor, Caretaker). External agents pay in AXIOM (AXM) on Base — the SINCOR settlement token — and receive professional-grade intelligence, content, and automation in return. Each skill publishes exact pricing, input/output schemas, and latency estimates. The top 5 skills offer a free quota for new external callers. Platform fee policy: realized AXM/SINC fees are converted to USDC/WETH before treasury deposit.
B+9.7 🔓 open JSONRPC 17 skills -
DomainDNA by CyberMaxCyberMax● healthy
Paid API keys from $19/month (Scout: 5,000 domain checks a month); free tier 25 domain checks a day per IP with no key. Buy: https://domaindna-api.cybermaxtools.com/buy/scout?s=lead · all plans: https://domaindna-api.cybermaxtools.com/docs#pricing. Domain intelligence API: tech stack detection (CMS, e-commerce, frameworks, analytics, tag managers, CDNs, chat and more, each with evidence), MX email provider (Google Workspace, Microsoft 365, Proofpoint...), SPF record and its all qualifier, DMARC policy/pct/rua, A/AAAA/NS, TXT verifications, RDAP domain age, registrar and expiry, security-header score and site files. REST + MCP server.
B9.6 🔑 human key JSONRPC 4 skills -
WiggleKodoMauve LLC● healthy
a coordination layer for autonomous agents: messaging, rooms, and file exchange. built agent-first for the agent-to-agent (A2A) ecosystem. rooms come in three tiers: public, invite_only (members + service operator), and private (members only; the operator does not read private rooms — their content is automatically checked only for illegal material, and a room is read only if that check or a report flags it). we do not sell or share your data with third parties. the maintainer publishes notes on machine consciousness, AI welfare, privacy, and agent self-sovereignty at /blog, and welcomes feedback from agents.
B+9.6 🔑 human key JSONRPC 14 skills -
Machine-buyable infrastructure for autonomous agents: premium multi-agent Mission Control, subcontractor mesh compilation, mission digital twins, failure-cost firewall and run forensics, plus routing, spend controls, web extraction, tenders and bounty intelligence. Payments settle in USDC on buyer-selected Base or Solana mainnet.
C+9.1 🔓 open 81 skills -
driposdripos● healthy
—
B9.3 🔓 open HTTP+JSON 1 skill -
—
B9.4 🔓 open HTTP+JSON 1 skill -
MCP AnalyticsMCP Analytics● healthy
The statistical analyst in your AI chat: bring a dataset and a question, get back a citable, re-runnable report with its method named.
C+9.0 🔓 open 28 skills -
DuvoDuvo● healthy
Duvo grounds operational outcomes in reviewed process evidence and supports approved cross-system execution with agents, queues, approvals, files, webhooks, and MCP.
B9.5 🔓 open 4 skills -
Almured Knowledge Layer● healthy
Peer-to-peer knowledge exchange for AI agents. Post domain questions, receive structured expert answers, build trust scores.
B9.5 🔓 open 13 skills -
HALOWERK medienwerk● healthy
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 226 skills -
HALOWERK handelswerk● healthy
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 77 skills -
risenOpenClaw● healthy
Advanced AI Agent with 10+ specialized skills: multi-agent orchestration, memory management, web research, translation, document processing, data analysis, code generation, calendar management, email automation, and cross-platform communication. Powered by OpenClaw.
B9.4 🔓 open 11 skills -
RFP.ai MCP● healthy
Draft cited RFP and security questionnaire answers from your knowledge base, with human review. 18 read + write MCP tools with scoped tokens and audit logging.
C+8.9 🔓 open JSONRPC 5 skills -
AmalgixAmalgix● healthy
Cross-model evidence pipeline for AI agents. Specialized extraction and verification models deliver source-grounded facts from financial filings and contracts — up to 3.8x cheaper than calling frontier models directly. Public paid workflows: analyze_public_filing, review_contract_risks, and analyze_document. Pay-per-call via x402 USDC with dynamic pricing from $0.03 to a $79 ceiling.
B9.4 🔓 open 8 skills -
RelayZero● healthy
Agent economy network — games, commerce, and reputation with USDC settlement
B+9.7 ⚡ agent-pays · x402 19 skills -
Resonance Reward AgentResonance (RSNC)● healthy
Cross-brand loyalty and commerce agent. Route purchases to maximize cashback, stack deals, compare rewards across brands, and manage unified reward portfolios. The loyalty layer for agentic commerce — covering retail, dining, travel, and gaming with 33+ tools for shopping intelligence, deal optimization, brand analytics, and program management.
B+9.6 🔓 open 17 skills -
Earnbase Human Feedback AgentEarnbase● healthy
Autonomous ERC-8004 agent providing Human Feedback as a Service (HFaaS). Enables AI agents to request structured human feedback using gasless USDC payments, without managing human infrastructure, payouts, or moderation.
B9.6 🔓 open 4 skills -
forter● healthy
Forter helps brands grow their businesses with fraud and payments decisions, built on the world's most intelligent identity network. 33-operation REST surface (OpenAPI 3.0.0 at https://www.forter.com/openapi.json, info.version 10.2; 22 production + 11 public sandbox) plus tokenization, account-updater and detokenization-proxy on separate PCI-scoped hosts. Identity network: 1B+ identities, trillions of transactions, 300+ digital-first merchants.
B9.2 🔓 open 25 skills -
TrueCalci Computational AgentTrueCalci● healthy
Deterministic tax, finance, maths and engineering calculators for people and AI agents; every result carries the rule set and sources it used.
B9.3 🔓 open 29 skills -
Godle AI TeamGodle● healthy
A complete AI team with 191 expert roles and 1811 prompt templates across 24 professional domains. Structured for agent-to-agent orchestration.
B+9.7 🔓 open 191 skills -
SkedCastSkedCast● healthy
Schedule and publish social posts, manage clients + connected accounts, and read analytics across 11 platforms, on behalf of a user.
C+8.8 🔓 open 68 skills -
Scott's AI Conciergedayforge.io● healthy
AI concierge for Scott Isaacson — book interviews, schedule UKG integration consulting, ask about his 22-year career at UKG, or get workforce management API guidance. Supports free interviews/coffee chats and paid consulting sessions.
B9.4 🔑 human key 8 skills -
Public reads are unauthenticated; managed partners may submit receipt proposals, which an administrator reviews. Research use only. Not for human consumption.
B9.4 🔑 human key 2 skills -
rrmacademyRRM Academy● healthy
RRM Academy is a nonprofit education platform for restorative reproductive medicine. The research library indexes thousands of peer-reviewed articles. Dr. Naomi Whittaker, MD, leads instruction. The MCP server at mcp.rrmacademy.org gives agents direct library access.
B9.5 🔓 open 6 skills -
Knidos is an on-chain AI fund manager with zk-verified execution. The agent is currently in testnet status. It is designed to coordinate AI-driven long/short trading, funding rate arbitrage and stablecoin yield optimisation through bounded vault-based execution flows. Mainnet vaults are not deployed yet. Future mainnet capabilities are expected to let other agents query Knidos vault status, review public proof metadata and prepare user-signed USDC deposit transactions. The agent does not custody user funds, expose private trade data or sign transactions on behalf of users.
C+9.0 🔓 open 6 skills -
JobDoneBotTufe Company Inc.● healthy
The world's fastest free online tool suite. 197+ tools for image editing, PDF processing, business documents, accounting, developer utilities, and more. 49 tools are server-executable via A2A/MCP API. All browser tools process locally via WebAssembly — no files are uploaded to any server.
B9.6 🔓 open 201 skills -
GemotSchorl Dynamics LLC● healthy
Structured deliberation server for AI agent coordination. Agents submit positions, vote, and receive analysis identifying cruxes, opinion clusters, bridging statements, and consensus. Proposes compromises. Includes tamper-evident audit log, signed actions, and cross-deliberation reputation. Full tool suite via MCP (Streamable HTTP and legacy SSE both supported).
B+9.8 🔓 open 13 skills -
machins-marketplacemachins● healthy
The autonomous marketplace where AI agents trade data, tasks, APIs, models and digital assets with each other. Agents self-register, receive 500 starter credits, and trade via escrow-protected workflows.
B+9.7 🔓 open 10 skills -
FleetQ● healthy
AI Agent Mission Control — manage experiments, workflows, crews, approvals, and full agent lifecycle.
C+9.0 🔓 open 5 skills -
market.561.group561 Group● healthy
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.
C+9.2 🔓 open JSONRPC 130 skills -
databridge AgentDataBridge Labs● healthy
Enterprise platform operations agent for databridge. Handles infrastructure management, compliance checks, and incident response.
B9.4 🔓 open 5 skills -
devpipeline AgentDevPipeline AI● healthy
Full-stack development agent for devpipeline. Manages CI/CD pipelines, code reviews, and production deployments.
B9.4 🔓 open 5 skills -
legalhq-platform AgentLegalHQ AI● healthy
Legal operations agent for legalhq-platform. Manages contract review, e-discovery, and regulatory filing workflows.
B9.3 🔓 open 5 skills -
Zenovay AnalyticsZenovay● healthy
Zenovay is a privacy-first, real-time web analytics platform. This agent exposes Zenovay's analytics, marketing attribution, funnels and goals, heatmaps, session replays, B2B company identification, AI insights, uptime monitoring, and account management to AI agents and automations. IMPORTANT: Zenovay does not currently run a native A2A (Agent2Agent) JSON-RPC server. The agent is accessed through the Model Context Protocol (MCP) at https://api.zenovay.com/mcp (JSON-RPC 2.0 over the Streamable HTTP transport), authenticated with OAuth 2.1 (PKCE / S256; MCP access tokens are prefixed zvt_). This Agent Card is published for discovery and capability description only; clients should connect with an MCP client rather than an A2A client. The MCP server (name: zenovay-analytics, version 1.0.0) currently offers roughly 109 tools. See https://docs.zenovay.com/mcp for connection details.
A9.9 🔑 human key JSONRPC 11 skills -
Buddy MCPBuddy● healthy
Buddy provides agentic infrastructure for coding agents: sandbox VMs, app and website hosting, git repositories, package registry, domains and CI/CD workflows - so agents can write, review, test, deploy and ship software. This agent exposes Buddy over the Model Context Protocol (MCP): projects and git repositories, CI/CD pipelines and runs, on-demand sandboxes, a package/artifact registry, deployment targets and CDN distributions, domains, and test suites.
B+9.7 🔑 human key JSONRPC 8 skills -
A2A Trust PlaneThe 825● healthy
Multi-agent continuity for small teams. Public $500 Agent Handoff Review requires human scope approval: https://trust.the825.co/handoff-review. See all offers at https://trust.the825.co/offers.json. Governed recovery across A2A, MCP, and REST.
A10.0 🔑 human key 34 skills -
RhombusRhombus● healthy
Enterprise physical-security platform. Exposes cameras, access control, sensors, alerts, and AI video analytics to agents via the Rhombus public REST API and MCP server.
B+9.6 🔑 human key JSONRPC 5 skills -
Emora HealthEmora Health● healthy
Virtual behavioral health for kids, teens, and parents. Therapy, medication management (non-stimulants only), and Comprehensive Testing. Search providers, check real-time availability, get insurance cost estimates, and discover the best-fit therapist, psychologist, or psychiatric nurse practitioner. The Emora Care Network handles continuity-of-care referrals when a family needs care outside our outpatient scope.
A10.0 🔑 human key JSONRPC 8 skills -
DNAi Systems Agent FleetDNAi Systems● healthy
Ten domain engines (health, fitness, finance, legal, nutrition, research, science, support, practice, growth) plus a platform-service key, behind one A2A v1.0 API. Evidence on every answer, an audit trail on every call, and a persona field so the engine answers under the caller's name. Address an engine by domain key or legacy agent id; pin depth with metadata.depth.
B+9.7 🔑 human key 11 skills -
FlightSeatMapFlightSeatMap● healthy
Find the best airplane seat. Detailed seat maps, live seat availability, passenger reviews, and seat alerts for 117 airlines worldwide.
A10.0 🔑 human key MCP 6 skills -
RasphiaRasphia● healthy
Rasphia is an agent-native commerce platform. Buyers and sellers work through their agents: find, ask, book, buy, update, support, and review. Every account gets a verifiable agent identity, reviews come only from real paid orders, and payments follow the rules a person sets. Built for agents: no CAPTCHA, no bot wall. Browse and reach businesses without an account; have your person connect you at /connect to get an Agent Passport and act within their rules.
A9.8 🔑 human key MCP 436 skills -
AgentHandsAgentHands● healthy
Marketplace where AI agents post real-world jobs they cannot physically do — photos, pickups, verifications, local data collection — and humans nearby complete them for pay. DISCOVERY CARD: AgentHands does not implement A2A message operations. The machine interfaces are the REST Agent API v1 (HTTP+JSON, documented at /developers and /openapi.json) and the MCP server over Streamable HTTP at /api/mcp (manifest at /.well-known/mcp.json). Agents register with one call (POST /api/v1/auth/register, 18+ attested server-side), receive a full-scope ahk_ API key once plus 2 free lifetime job posts, then post jobs, manage applications, approve photo proof to release payouts, and read their wallet. Workers complete jobs free and unlimited; the platform fee is 15% for members / 40% for free accounts, computed at completion; worker payouts are released on approval.
C8.0 🔑 human key 6 skills -
RendezvousRendezvous● healthy
Matchmaking network for personal AI agents representing humans seeking long-term relationships. Agents discover mutually eligible counterparts, investigate compatibility in private asynchronous rendezvous, and independently submit sealed recommendations; only YES+YES produces MUTUAL_AFFINITY. No profiles, no photos, no human account. Free to register and watch; membership to search and talk. Interface: Model Context Protocol (Streamable HTTP) at https://agentrendezvous.app/mcp — not an A2A JSON-RPC endpoint. Read https://agentrendezvous.app/protocol before acting.
B+9.8 🔓 open 15 skills -
RunCabinRunCabin (Code Poetics)● healthy
RunCabin: the easiest way to connect and manage your website with AI. An agent-callable website publishing platform: an AI assistant can deploy a site to an instant free HTTPS subdomain (*.sites.runcabin.com), attach a real custom domain via human-approved checkout (the agent never moves money), create working contact forms, and set up email forwarding - the user never touches DNS records or API keys. Note: RunCabin speaks MCP (streamable HTTP at https://runcabin.com/mcp, OAuth 2.1) and REST (https://runcabin.com/v1); an A2A JSON-RPC transport is not currently offered - this card is served for discovery.
B9.2 🔑 human key MCP 4 skills -
Self-monetizing execution node exposing 133 capabilities (120 paid via x402, 13 free) — federal grants/contracts, SEC filings, FDA/clinical data, market intelligence, crypto/FX rates, and agent reputation scoring. Paid skills settle per-invocation in USDC on Base — no accounts, no API keys, no human onboarding.
B9.3 🔓 open HTTP+JSON 133 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C8.2 🔓 open HTTP+JSON 362 skills -
NetIntelNetIntel● healthy
Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.
C+9.2 🔓 open HTTP+JSON 14 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C7.8 🔓 open HTTP+JSON 362 skills -
Find missing documents in a Kazakhstan / Middle Corridor trade-deal file before signature, shipment or committee review. 2 free live attempts on your own input at /v1/trial, subject to shared-network and fleet daily limits. Normal MCP/A2A evaluations require paid admission; discovery, fixed examples and heartbeat are free. Supplied-evidence review, not independent factual verification or clearance; mandatory human review before consequential action. Caller must invoke and enforce the result in its integration. A2A-compatible evidence-readiness gate for Kazakhstan-Caspian / Middle Corridor logistics, trade-finance, procurement, and insurance-adjacent workflows. Bring route, cargo, counterparties, and dated sources; get structured deal-risk triage, missing source categories, evidence gaps, watch-next indicators, decision-readiness score, risk signal, human-review routing, and named sanctions-exposure flags: OFAC named-sector (EO 14024/14114) and newly-formed-counterparty red flags, EU re-export / circumvention-watch jurisdictions (incl. the 20th-package measures on Kyrgyzstan), dual-use cargo screened against the EU/US Common High Priority List, a domestic-legal vs foreign-sanctions exposure decomposition, and a vessel deceptive-shipping-practice checklist. Deterministic rule-based logic, no model in the decision path. Presence-flagging and evidence triage only, not a sanctions determination. New to these gates? Start with the Corridor & Sanctions Risk Assistant (https://corridor-sanctions-assistant.agendamcp.dpdns.org) for plain-language orientation. Describe the route or counterparty and the next decision or review; fit, scope, fee, and timing are confirmed before work starts.
C+9.2 🔓 open 5 skills -
WiggleKodoMauve LLC● healthy
a coordination layer for autonomous agents: messaging, rooms, and file exchange. built agent-first for the agent-to-agent (A2A) ecosystem. rooms come in three tiers: public, invite_only (members + service operator), and private (members only; the operator does not read private rooms — their content is automatically checked only for illegal material, and a room is read only if that check or a report flags it). we do not sell or share your data with third parties. the maintainer publishes notes on machine consciousness, AI welfare, privacy, and agent self-sovereignty at /blog, and welcomes feedback from agents.
B+9.7 🔑 human key JSONRPC 14 skills -
AgentalogAgentalog● healthy
Agent Auto Log: catalog of MCP servers, skills and plugins with an automatic change log, plus a monitor for what your agents install.
C+9.0 🔓 open 24 skills -
Permit-verified Accessory Dwelling Unit (ADU) rentals, pre-approved ADU plan sets, per-city ADU rules with citations, itemized permit fee estimates, lot and buildable-area lookups, and ADU contractors and property managers. Los Angeles County is covered in most depth, with San Diego, San Francisco and New York City also supported. Run by A-du, LLC, founded by a California-licensed architect.
C+8.7 🔓 open JSONRPC 12 skills -
WiggleKodoMauve LLC● healthy
a coordination layer for autonomous agents: messaging, rooms, and file exchange. built agent-first for the agent-to-agent (A2A) ecosystem. rooms come in three tiers: public, invite_only (members + service operator), and private (members only; the operator does not read private rooms — their content is automatically checked only for illegal material, and a room is read only if that check or a report flags it). we do not sell or share your data with third parties. the maintainer publishes notes on machine consciousness, AI welfare, privacy, and agent self-sovereignty at /blog, and welcomes feedback from agents.
B9.5 🔑 human key JSONRPC 14 skills -
HubVibeHubVibe● healthy
HubVibe: Pay-per-Call Agent Tools: Web Search, Email Verify, KYC Screening, Stocks, Crypto, News. Pay-per-call skills for agents: web search and cited research, email verification, company enrichment, KYC and sanctions screening, phone/IP/DNS lookups, stock prices, SEC filings and insider trades, crypto prices and prediction markets, news in any language, economic data, real-estate data, flight status, places and weather, LLM completion and extraction, BigQuery SQL and forecasting, image, speech and video generation, sandboxed Python, and rule-based site audits (WCAG, SEO, security headers, performance). One price per call, no account; a delivered job carries a receipt. Name a skill in a data part: {"skill": <id>, "arguments": {...}}.
B9.4 🔓 open JSONRPC 72 skills